image: obarun/pkgbuild:latest

variables:
  repo: "$CI_PROJECT_DIR"
  pkg_name: "$CI_PROJECT_NAME"
  # followed variable are ignored
  pkg_track: "branch"
  pkg_target: "$CI_COMMIT_REF_NAME"
  pkg_address: "$CI_PROJECT_URL"

build_repo:
  script:
   # you can specify the directory where find pkgbuild
   # with e.g builder.sh --chdir=trunk
   # you can ask to install the package after a build
   # e.g builder.sh --install
   - builder.sh
  
  artifacts:
    expire_in: 2 days
    paths:
      - "*.pkg.tar.xz"
  
